• Martes 20 de Octubre de 2020, 21:28

Autor Tema:  Usar .net Framework 1.1 En Aplicacion 2.0  (Leído 1521 veces)

Neopro

  • Miembro MUY activo
  • ***
  • Mensajes: 316
    • Ver Perfil
Usar .net Framework 1.1 En Aplicacion 2.0
« en: Martes 13 de Noviembre de 2007, 20:59 »
0
Estimados:

Tengo una aplicacion que trabaja muy bien en Windows XP, pero me solicitaron pasarla a Windows 98, en una discucion anterior nadie me respondio, pero esto es distinto.

Una DLL en especial funciona solo con el .NET Framework 1.1 y mi aplicacion en .NET Framework 2.0. En Windows XP va de maravillas, pero en Windows 98 no funciona, porque la DLL fue creada para 1.1.

Necesito saber si puedo diferenciar una parte del codigo en especial para que trabaje con 1.1 y el resto con 2.0, algo vi relacionado con settings.cs, pero no entiendo bien su funcionamiento o si existe otra forma para que una determinada parte del codigo funcione solo con 1.1, lo que implicaria tener 1.1 y 2.0 instalados..

Muchas Gracias
              [size=109]"Has lo que digo y no hagas lo que hago"[/size]

JuanK

  • Miembro de ORO
  • ******
  • Mensajes: 5393
  • Nacionalidad: co
    • Ver Perfil
    • http://juank.io
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #1 en: Martes 13 de Noviembre de 2007, 21:05 »
0
No, hasta donde se.

Mi propuesta es que des compiles la dll, o bien que obtengas sus fuentes y después recompilar en versión 2.0 , desde luego tendrás que hacer lo que presumiblemente son unos cambios menores.

Con la experiencia que has adquirido en C# creo que no te costara mayor trabajo.

Pudes ayudarte con el ILDASM que viene con el Visual Studio y te descompila en CIL o mucho mejor con el Reflector para pasarla de una vez a C#.

Saludos  :smartass:
[size=109]Juan Carlos Ruiz Pacheco
[/size]
Microsoft Technical Evangelist
@JuanKRuiz
http://juank.io

Neopro

  • Miembro MUY activo
  • ***
  • Mensajes: 316
    • Ver Perfil
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #2 en: Martes 13 de Noviembre de 2007, 21:20 »
0
No habia pensado en descompilar y hace un tiempo utilicé el reflector.

La unica duda que tengo es que si los logro pasar a 2.0, se podría ver afectada la funcionalidad de la DLL???...

Son DLL que trabajan con algoritmos Biometricos.

Lo has hecho antes?.

Y muchas gracias por la pronta respuesta.
              [size=109]"Has lo que digo y no hagas lo que hago"[/size]

JuanK

  • Miembro de ORO
  • ******
  • Mensajes: 5393
  • Nacionalidad: co
    • Ver Perfil
    • http://juank.io
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #3 en: Martes 13 de Noviembre de 2007, 21:42 »
0
la mayoría de los cambios del framework 1.1 al 2.0 estan relacionados con librerías que se marcaron como deprecadas, pero aun existen, y otros que creo que son tu caso, cuando un método deja de recibir un parámetro o ahora pide un parámetro que antes se daba por entendido.

Desde que no cambies en el código nada mas allá de lo que necesitas para que compile, no debería haber ningún problema.

Desde luego tambien depende de algo: el sw se ejecuta en el dispositivo o en una maquina a la cual esta conectado el dispositivo? porque si esta el framework 1.1 embebido en el hardware... pues la cosa cambia.
[size=109]Juan Carlos Ruiz Pacheco
[/size]
Microsoft Technical Evangelist
@JuanKRuiz
http://juank.io

Neopro

  • Miembro MUY activo
  • ***
  • Mensajes: 316
    • Ver Perfil
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #4 en: Martes 13 de Noviembre de 2007, 21:55 »
0
Todo esta en plataforma PC. Descompile una DLL, pero tiene metodos que no tiene C#, lo revise con los diferentes lenguajes que posee Reflector y no compila con ninguno, como dices Tu pueden ser los métodos, pero hay tipos para mi desconocidos.

Descompile en IL, Visual Basic, C#, Delphi, MFC++ y Chrome, y como decia en todos los leguajes hay sentencias como : fault, que nose a que corresponden, tipos volatile y varios archivos .CS que tienen en su definicion el signo $.


Preferiria la solucion de intentar utilizar los 2 Frameworks, el 1.1 y el 2.0 a la vez.
              [size=109]"Has lo que digo y no hagas lo que hago"[/size]

JuanK

  • Miembro de ORO
  • ******
  • Mensajes: 5393
  • Nacionalidad: co
    • Ver Perfil
    • http://juank.io
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #5 en: Martes 13 de Noviembre de 2007, 23:02 »
0
desde luego para poderlos compilar debes agregar como referencias las dll de donde se definen esos tipos...

Sino pues me cuentas como lo solucionaste porque no se como mas hacerle.
[size=109]Juan Carlos Ruiz Pacheco
[/size]
Microsoft Technical Evangelist
@JuanKRuiz
http://juank.io

Neopro

  • Miembro MUY activo
  • ***
  • Mensajes: 316
    • Ver Perfil
Re: Usar .net Framework 1.1 En Aplicacion 2.0
« Respuesta #6 en: Miércoles 14 de Noviembre de 2007, 22:47 »
0
Creo que tuve suerte.

El SDK que funciona solo con Framework 1.1 (Biometrico), y su aplicacion ejemplo funcionaba sin problemas en Windows 98 pero mis aplicaciones no.

Analicé muchas fromas de solucionarlo:

Compilar en VS 2005 con Framework 1.1
MSBee
Reemplazo de Mscoree.dll Version 2.0 por la version 1.1
Analisis de dependencias...

Y este ultimo me funciono de suerte.

Bajo Windows 98 la DLL principal del SDK tenia 3 DLL que no estaban, pero la aplicacion DEMO funcionaba bien, y la mia no.

Tomé esas DLL desde Windows XP y las moví a Windows 98...

Y para suerte mia, ya mostraba las excepciones que la aplicacion se saltaba aun con Try Catch de por medio.

Ademas logré que funcionara todo. Genial.

Estoy Muy Contento...

Muchas Gracias Juan.
              [size=109]"Has lo que digo y no hagas lo que hago"[/size]